## org.eclipse.emf.cdo.server
Class RepositoryNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.emf.cdo.common.util.CDOException
                      org.eclipse.emf.cdo.server.RepositoryNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class RepositoryNotFoundException

extends CDOException

See Also:
  Serialized Form

Constructor Summary
`RepositoryNotFoundException(java.lang.String repositoryName)`

Method Summary
`java.lang.String` `getMessage()`
`java.lang.String` `getRepositoryName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryNotFoundException

    public RepositoryNotFoundException(java.lang.String repositoryName)

Method Detail

### getRepositoryName

    public java.lang.String getRepositoryName()

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.